// 采购部门报表
import http from '@/apis/axios'
const api = 'admin/'
export default {
  // 添加
  add: (data, params) => http(api + 'add', data, 'post', params),
  // 分页查询
  list: (data, params) => http(api + 'cgdlist', data, 'post', params),
  // 删除
  delete: (data, params) => http(api + 'delete', data, 'post', params),
  // 详情
  detail: (data, params) => http(api + 'cgdinfo', data, 'post', params),
  // 更新
  update: (data, params) => http(api + 'cgdedit', data, 'post', params),

  // 竞价单总数
  reportzixuntotal: (data, params) => http(api + 'r_reportzixuntotal', data, 'post', params),
  // 采购订单总金额
  reportpurcheaseordersum: (data, params) => http(api + 'r_reportpurcheaseordersum', data, 'post', params),
  // 采购员回复竞价单数
  reportconsultbidssum: (data, params) => http(api + 'r_reportconsultbidssum', data, 'post', params),
  // 采购员订单金额
  reportpurcheaseordersumbyuser: (data, params) => http(api + 'r_reportpurcheaseordersumbyuser', data, 'post', params),
  // 已采反报价信息
  reportconsultinfobidssum: (data, params) => http(api + 'r_reportconsultinfobidssum', data, 'post', params),
  // 已采反报价信息导出
  reportconsultinfobidssumexport: (data, params) => http(api + 'r_reportconsultinfobidssumexport', data, 'post', params),
  // 未采反信息
  reportconsultinfobidssumnot: (data, params) => http(api + 'r_reportconsultinfobidssumnot', data, 'post', params),
  // 未采反信息导出
  reportconsultinfobidssumnotexport: (data, params) => http(api + 'r_reportconsultinfobidssumnotexport', data, 'post', params),
  // 订单明细
  reportorderlistdetailed: (data, params) => http(api + 'r_reportorderlistdetailed', data, 'post', params),
  // 订单明细导出
  reportorderlistdetailedexport: (data, params) => http(api + 'r_reportorderlistdetailedexport', data, 'post', params),
  // 售后报表
  reportorderreturnlist: (data, params) => http(api + 'r_reportorderreturnlist', data, 'post', params),
  // 售后报表导出
  reportorderreturnlistexport: (data, params) => http(api + 'r_reportorderreturnlistexport', data, 'post', params),
  // 供应商报表
  reportsupplierlist: (data, params) => http(api + 'r_reportsupplierlist', data, 'post', params),
  // 供应商报表导出
  reportsupplierlistexport: (data, params) => http(api + 'r_reportsupplierlistexport', data, 'post', params),
  // 退货流水报表
  reportsalereturnlist: (data, params) => http(api + 'r_reportsalereturnlist', data, 'post', params),
  // 退货流水报表导出
  reportsalereturnexport: (data, params) => http(api + 'r_reportsalereturnexport', data, 'post', params),
  // 产品上线报表
  reportgoodonlinelist: (data, params) => http(api + 'r_reportgoodonlinelist', data, 'post', params),
  // 产品上线报表导出
  reportgoodonlineexport: (data, params) => http(api + 'r_reportgoodonlineexport', data, 'post', params),
  // 产品下线报表
  reportgoodofflinelist: (data, params) => http(api + 'r_reportgoodofflinelist', data, 'post', params),
  // 产品下线报表导出
  reportgoodofflineexport: (data, params) => http(api + 'r_reportgoodofflineexport', data, 'post', params),

  // 产品修改报表
  reportchangeloglist: (data, params) => http(api + 'r_reportchangeloglist', data, 'post', params),
  // 产品修改报表导出
  reportchangelogeexport: (data, params) => http(api + 'r_reportchangelogeexport', data, 'post', params),

  // 退货台账-业务口径导出
  reportreturnexport: (data, params) => http(api + 'r_reportreturnexport', data, 'post', params)
}

