// 物业管理员
import http from '@/apis/axios'
const api = 'admin/'
export default {
  // 添加
  add: (data, params) => http(api + 'aftercreate', data, 'post', params),
  // 删除
  delete: (data, params) => http(api + 'delete', data, 'post', params),
  // 分页查询
  list: (data, params) => http(api + 'afterlist', data, 'post', params),
  // 详情
  detail: (data, params) => http(api + 'afterinfo', data, 'post', params),
  // 更新
  update: (data, params) => http(api + 'update', data, 'post', params),
  // 修改状态
  status: (data, params) => http(api + 'afterstatus', data, 'post', params),
  // 异常原因接口
  reasonList: (data, params) => http(api + 'resultlist', data, 'post', params),
  // 设置退回仓库
  aftersetwsm: (data, params) => http(api + 'aftersetwsm', data, 'post', params),
  // 售后快递录入
  afterPost: (data, params) => http(api + 'afterpost ', data, 'post', params),
  afterChild: (data, params) => http(api + 'order_return_child_prelist ', data, 'post', params),
  express: (data, params) => http(api + 'setdelivery ', data, 'post', params),
  sendList: (data, params) => http(api + 'child_out_get_list ', data, 'post', params),
  reorderChildAdd: (data, params) => http(api + 'reorder_child_add ', data, 'post', params),
  deliveryOrderReturnChild: (data, params) => http(api + 'delivery_order_return_child ', data, 'post', params),
  setOrderReturnChild: (data, params) => http(api + 'set_order_return_child ', data, 'post', params),
  orderReturnChildList: (data, params) => http(api + 'order_return_child_list', data, 'post', params),
  aftercancel: (data, params) => http(api + 'aftercancel', data, 'post', params)
}

