export default [
  { type: 'selection', fixed: 'left', _noset_: true },

  {
    prop: 'returnCode',
    label: '退货单编号',
    width: '160'
  },
  {
    prop: 'orderCode',
    label: '销售订单编号',
    width: '160'
  },
  {
    prop: 'status',
    label: '状态',
    _slot_: 'status',
    width: '150px'
  },
  {
    prop: 'has_account',
    label: '供应商端',
    _slot_: 'has_account',
    width: '80px'
  },
  {
    prop: 'use_type',
    label: '平台类型',
    _slot_: 'use_type',
    width: '80px'
  },
  {
    prop: 'order_source',
    label: '订单来源',
    _slot_: 'order_source',
    width: '100'
  },
  {
    prop: 'order_type',
    label: '商品类型',
    _slot_: 'order_type',
    width: '100'
  },

  {
    prop: 'num',
    label: '退货数量',
    width: '110'
  },
  {
    prop: 'total_num',
    label: '订单总数',
    width: '110'
  },
  {
    prop: 'good_code',
    label: '商品成本编码',
    width: '160'
  },
  {
    prop: 'skuCode',
    label: '上线商品编码',
    width: '160'
  },
  {
    prop: 'good_name',
    label: '商品名称',
    'min-width': '180'
  },
  {
    prop: 'customer_code',
    label: '客户编码',
    width: '150'
  },
  {
    prop: 'customer_name',
    label: '客户名称',
    width: '160'
  },
  {
    prop: 'companyNo',
    label: '业务公司编码',
    width: '150'
  },
  {
    prop: 'companyName',
    label: '业务公司名称',
    width: '160'
  },
  {
    prop: 'supplierNo',
    label: '供应商编码',
    width: '160'
  },
  {
    prop: 'supplierName',
    label: '供应商名称',
    width: '160'
  },

  // {
  //   prop: "error_msg",
  //   label: "退货原因",
  //   width: "160"
  // },

  // {
  //   prop: "return_total",
  //   label: "退货总金额",
  //   width: "120"
  // },

  {
    prop: 'apply_name',
    label: '申请人',
    width: '70'
  },
  {
    prop: 'company_name',
    label: '申请人部门',
    width: '120px'
  },
  {
    prop: 'addtime',
    label: '申请时间',
    width: 150
  },
  {
    prop: '',
    width: 100,
    label: '操作',
    fixed: 'right',
    _noset_: true,
    _slot_: 'operation'
  }

]
// page	是	string	页码
// size	是	string	页码数
// cgdNo	是	string	采购单编号
// returnCode	是	string	退货单编号
// good_type_code	是	string	商品属性
// good_name	是	string	商品名称
// status	是	string	状态
