
const showColumns = [
  {
    prop: 'returnCode',
    label: '退货单编号',
    span: 6
  },
  {
    prop: 'orderCode',
    label: '销售订单编码',
    span: 6
  },
  {
    prop: 'status',
    label: '退货单状态',
    _slot_: 'status',
    span: 4
  },
  {
    prop: 'order_type',
    label: '订单来源',
    _slot_: 'order_type',
    span: 4
  },
  {
    prop: 'apply_name',
    label: '创建人',
    span: 4
  },
  {
    prop: 'supplierName',
    label: '销售方公司',
    _slot_: 'supplierName',
    span: 12
  },
  {
    prop: 'companyName',
    label: '购买方公司',
    _slot_: 'companyName',
    span: 12
  },

  {
    prop: 'platform_name',
    label: '所属平台',
    span: 7
  },

  {
    prop: 'good_num',
    label: '购买数量',
    span: 5
  },
  {
    prop: 'num',
    label: '退货数量',
    span: 4
  },
  {
    prop: 'send_num',
    label: '已发数量',
    span: 4
  },
  {
    prop: 'wsend_num',
    label: '未发数量',
    span: 4
  },

  {
    prop: 'addtime',
    label: '创建时间',
    span: 4
  },
  {
    prop: 'is_addr',
    label: '退货类型',
    _slot_: 'is_addr',
    span: 4
  },
  {
    prop: 'send_type',
    label: '下单方式',
    _slot_: 'send_type',
    span: 4
  },
  {
    prop: 'loop_total',
    label: '更改次数',
    _slot_: 'loop_total',
    span: 12
  },
  {
    prop: 'error_msg',
    label: '退货原因',
    span: 24
  },

  {
    prop: 'remark',
    label: '备注',
    span: 24
  }
]

export const setWorkOrderColumns = [
  {
    prop: 'orderCode',
    label: '销售单编号',
    span: 7
  },
  {
    prop: 'outCode',
    label: '发货单编号',
    span: 7
  },
  {
    prop: 'return_num',
    label: '退货数量',
    span: 5
  },
  {
    prop: 'currentWorkOrder',
    label: '已设置工单数量',
    span: 5
  }
]

export { showColumns }
