// 采购部门报表
import http from '@/apis/axios'
const api = 'admin/'
export default {
  // 添加
  add: (data, params) => http(api + 'add', data, 'post', params),
  // 分页查询
  list: (data, params) => http(api + 'cgdlist', data, 'post', params),
  // 删除
  delete: (data, params) => http(api + 'delete', data, 'post', params),
  // 详情
  detail: (data, params) => http(api + 'cgdinfo', data, 'post', params),
  // 更新
  update: (data, params) => http(api + 'cgdedit', data, 'post', params),

  // 日报
  saleexportconsultday: (data, params) =>
    http(api + 'r_saleexportconsultday', data, 'post', params),
  // 日报导出
  saleexportconsultdayexport: (data, params) =>
    http(api + 'r_saleexportconsultdayexport', data, 'post', params),

  // 竞价单报表
  saleexportconsultinfo: (data, params) =>
    http(api + 'r_saleexportconsultinfo', data, 'post', params),
  // 竞价单报表导出
  saleexportconsultinfoexport: (data, params) =>
    http(api + 'r_saleexportconsultinfoexport', data, 'post', params),

  // 订单报表
  saleexportlist: (data, params) =>
    http(api + 'r_saleexportlist', data, 'post', params),
  // 订单报表导出
  saleexport: (data, params) => http(api + 'r_saleexport', data, 'post', params),

  // 未发货报表
  saleexportnotout: (data, params) =>
    http(api + 'r_saleexportnotout', data, 'post', params),
  // 未发货报表导出
  saleexportnotoutexport: (data, params) =>
    http(api + 'r_saleexportnotoutexport', data, 'post', params),

  // 未签收报表
  saleexportnotsigned: (data, params) =>
    http(api + 'r_saleexportnotsigned', data, 'post', params),
  // 未签收报表导出
  saleexportnotsignedexport: (data, params) =>
    http(api + 'r_saleexportnotsignedexport', data, 'post', params),

  // 售后报表
  saleexportorderreturn: (data, params) =>
    http(api + 'r_saleexportorderreturn', data, 'post', params),
  // 售后报表导出
  saleexportorderreturnexport: (data, params) =>
    http(api + 'r_saleexportorderreturnexport', data, 'post', params),

  // 产品热销排行
  saleexportgoodrankinglist: (data, params) =>
    http(api + 'r_saleexportgoodrankinglist', data, 'post', params),
  // 产品热销排行导出
  saleexportgoodrankinglistexport: (data, params) =>
    http(api + 'r_saleexportgoodrankinglistexport', data, 'post', params),

  // 暂无数据____________________________________________
  // 未开票报表
  reportorderlistdetailed: (data, params) =>
    http(api + 'r_reportorderlistdetailed', data, 'post', params),
  // 未开票报表导出
  reportorderlistdetailedexport: (data, params) =>
    http(api + 'r_reportorderlistdetailedexport', data, 'post', params),

  // 订单导出表
  saleexportsaledetailed: (data, params) =>
    http(api + 'saleexportsaledetailed', data, 'post', params),
  // 订单导出表导出
  saleexportsaledetailedexport: (data, params) =>
    http(api + 'saleexportsaledetailedexport', data, 'post', params),
  // 竞价单导出明细
  saleexportconsultdetailed: (data, params) =>
    http(api + 'saleexportconsultdetailed', data, 'post', params),
  // 竞价单导出明细导出
  saleexportconsultdetailedexport: (data, params) =>
    http(api + 'saleexportconsultdetailedexport', data, 'post', params),
  // 工差明细表
  saleexportsalediff: (data, params) =>
    http(api + 'r_saleexportsalediff', data, 'post', params),
  // 工差明细表导出
  saleexportsalediffexport: (data, params) =>
    http(api + 'r_saleexportsalediffexport', data, 'post', params),
  // 退货明细表
  saleexportthdata: (data, params) =>
    http(api + 'r_saleexportthdata', data, 'post', params),
  // 退货明细表导出
  saleexportthdataexport: (data, params) =>
    http(api + 'r_saleexportthdataexport', data, 'post', params),
  // 售后明细表
  seord: (data, params) => http(api + 'r_seord', data, 'post', params),
  // 售后明细表导出
  seorde: (data, params) => http(api + 'r_seorde', data, 'post', params),
  // 议价明细表
  sebo: (data, params) => http(api + 'r_sebo', data, 'post', params),
  // 议价明细表导出
  seboe: (data, params) => http(api + 'r_seboe', data, 'post', params),
  // 延时发货单
  seoona: (data, params) => http(api + 'r_seoona', data, 'post', params),
  // 延时发货单导出
  seoonae: (data, params) => http(api + 'r_seoonae', data, 'post', params),
  // 直接发货单
  seooa: (data, params) => http(api + 'r_seooa', data, 'post', params),
  // 直接发货单导出
  seooae: (data, params) => http(api + 'r_seooae', data, 'post', params),
  // 无地址销售订单统计
  sna: (data, params) => http(api + 'r_sna', data, 'post', params),
  // 本地销售订单情况统计
  sm: (data, params) => http(api + 'r_sm', data, 'post', params),
  // 本月采购订单和库存品发货情况
  oom: (data, params) => http(api + 'r_oom', data, 'post', params),
  pom: (data, params) => http(api + 'r_pom', data, 'post', params),
  popm: (data, params) => http(api + 'r_popm', data, 'post', params),

  // 开票明细表
  reportchangeloglist: (data, params) =>
    http(api + 'reportchangeloglist', data, 'post', params),
  // 开票明细表导出
  reportchangelogeexport: (data, params) =>
    http(api + 'reportchangelogeexport', data, 'post', params),
  // 待开票列表
  reportchangeloglist: (data, params) =>
    http(api + 'reportchangeloglist', data, 'post', params),
  // 待开票列表导出
  reportchangelogeexport: (data, params) =>
    http(api + 'reportchangelogeexport', data, 'post', params),
  // 待回款列表
  reportchangeloglist: (data, params) =>
    http(api + 'reportchangeloglist', data, 'post', params),
  // 待回款列表导出
  reportchangelogeexport: (data, params) =>
    http(api + 'reportchangelogeexport', data, 'post', params)
}
