
// 是否定制 是否合规
const options1 = [
  { id: '0', name: '否' },
  { id: '1', name: '是' }
]

export const options01 = [
  { id: '0', name: '未设置' },
  { id: '1', name: '合规' },
  { id: '2', name: '不合规' }
]

// 专属类型
const options2 = [
  { id: '0', name: '非泰康' },
  { id: '1', name: '泰康' }
]
// 销售权限
const options3 = [
  { id: '0', name: '无销售权限' },
  { id: '1', name: '有销售权限' }
]

// 是否库存品
const options4 = [
  { id: '0', name: '非库存品' },
  { id: '1', name: '库存品' }
]
// 是否启用实时金价
const options5 = [
  { id: '0', name: '否' },
  { id: '1', name: '是' }
]
// 供货区域
const options6 = [
  { id: '1', name: '全国' },
  { id: '2', name: '全国除偏远' }
]
// 是否启用阶梯
const options7 = [
  { id: '0', name: '否' },
  { id: '1', name: '是' }
]
const options8 = [
  { id: '1', name: '待完善成本', type: 'info' },
  { id: '2', name: '待产品审核', type: 'warning' },
  { id: '3', name: '上线已成功', type: 'success' },
  { id: '4', name: '上线已驳回', type: 'danger' },
  { id: '5', name: '商品已下线', type: 'info' }
]
const listCol = [
  {
    prop: 'skuCode',
    label: '上线商品编号',
    fixed: 'left',
    width: '160px'
  },
  {
    prop: 'spuCode',
    label: '成本商品编号',
    width: '160px'
  },
  {
    prop: 'good_thumb_img',
    label: '图片',
    _slot_: 'good_thumb_img',
    width: '45px'
  },
  {
    prop: 'good_name',
    label: '名称',
    'min-width': '160px'
  },
  // {
  //   prop: "platform_code_en",
  //   label: "平台编号",
  //   width: "170px",
  // },
  // {
  //   prop: 'supplierName',
  //   label: '供应商',
  //   width: '150px'
  // },
  {
    prop: 'platform_name',
    label: '平台名称',
    width: '100px'
  },

  {
    prop: 'is_stock',
    label: '商品类型',
    _slot_: 'is_stock',
    width: '90px'
  },

  {
    prop: 'status',
    label: '状态',
    _slot_: 'status',
    width: '118px'
  },
  {
    prop: 'cat_name',
    label: '分类',
    width: '118px'
  },
  {
    prop: 'good_type',
    label: '是否定制',
    _slot_: 'good_type',
    width: '70px'
  },
  {
    prop: 'is_compliance',
    label: '是否合规',
    _slot_: 'is_compliance',
    width: '70'
  },
  {
    prop: 'brand_name',
    label: '品牌'
  },
  {
    prop: 'companyNo',
    label: '业务公司编号',
    width: '160px'
  },
  {
    prop: 'company',
    label: '业务公司名称',
    width: '150px'
  },
  {
    prop: 'plat_code',
    label: '平台商品编号',
    width: '150px'
  },
  {
    prop: 'purchase',
    label: '成本创建人',
    width: '95'
  },
  {
    prop: 'company_name',
    label: '上线创建人部门',
    minWidth: '150px'
  },
  {
    prop: 'creater',
    label: '上线创建人',
    width: '90px'
  },
  {
    prop: 'addtime',
    label: '创建时间',
    width: '140px'
  },
  {
    prop: '',
    label: '操作',
    fixed: 'right',
    _noset_: true,
    width: '150px',
    _slot_: 'operation'
  }
]
const rules = {
  platform: [
    {
      required: true,
      message: '请选择所属平台',
      trigger: 'change'
    }
  ],
  online_reason: [
    {
      required: true,
      message: '上线原因不能为空',
      trigger: 'blur'
    }
  ],
  online_remark: [
    {
      required: true,
      message: '上线备注不能为空',
      trigger: 'blur'
    }
  ]
}

export { options1, options2, options3, options4, options5, options6, options7, options8, listCol, rules }
