export default [

  {
    prop: 'outChildCode',
    label: '发货工单号',
    width: '160'
  },
  {
    prop: 'outCode',
    label: '发货单编号',
    width: '160'
  },
  {
    prop: 'orderCode',
    label: '销售订单编号',
    width: '160'
  },
  {
    prop: 'use_type',
    label: '平台类型',
    _slot_: 'use_type',
    width: '80px'
  },
  {
    prop: 'status',
    label: '状态',
    _slot_: 'status',
    width: '85px'
  },
  {
    prop: 'order_type',
    label: '商品类型',
    _slot_: 'order_type',
    width: '100'
  },
  {
    prop: 'order_source',
    label: '订单来源',
    _slot_: 'order_source',
    width: '100'
  },
  {
    prop: 'num',
    label: '总数量',
    width: '100'
  },
  {
    prop: 'wsm_code',
    label: '仓库编号',
    width: '160'
  },
  {
    prop: 'wsm_name',
    label: '仓库名称',
    width: '160'
  },
  {
    prop: 'spuCode',
    label: '商品成本编码',
    width: '160'
  },
  {
    prop: 'skuCode',
    label: '商品上线编码',
    width: '160'
  },
  {
    prop: 'companyNo',
    label: '业务公司编号',
    width: '160'
  },
  {
    prop: 'companyName',
    label: '业务公司编号',
    width: '160'
  },
  {
    prop: 'customer_code',
    label: '客户编号',
    width: '160'
  },
  {
    prop: 'customer_name',
    label: '客户名称',
    width: '160'
  },
  {
    prop: 'supplierNo',
    label: '供应商编号 ',
    width: '160'
  },
  {
    prop: 'supplierName',
    label: '供应商名称',
    width: '160'
  },
  // {
  //   prop: 'send_status',
  //   label: '分单状态',
  //   _slot_: 'send_status',
  //   width: '120px'
  // },
  {
    prop: 'addtime',
    label: '下单时间',
    width: 150
  },
  {
    prop: 'apply_name',
    label: '申请人',
    width: '80'
  },
  {
    prop: '',
    width: 50,
    label: '操作',
    fixed: 'right',
    _noset_: true,
    _slot_: 'operation'
  }

]
// page	是	string	页码
// size	是	string	页码数
// cgdNo	是	string	采购单编号
// returnCode	是	string	退货单编号
// good_type_code	是	string	商品属性
// good_name	是	string	商品名称
// status	是	string	状态

export const sendOutOrderColumns = [
  {
    type: 'index',
    label: '序号',
    width: '70px'
  },
  {
    prop: 'value0',
    label: '发货工单号',
    width: '156px'
  },

  {
    prop: 'value1',
    label: '订单编号',
    width: '156px'
  },
  {
    prop: 'value11',
    label: '商品名称',
    'min-width': '180px'
  },
  {
    prop: 'value14',
    label: '发货数量',
    width: '100px'
  },
  {
    prop: 'value18',
    label: '物流公司',
    width: '150px'
  },
  {
    prop: 'value19',
    label: '物流单号',
    width: '150px'
  },
  {
    prop: 'value20',
    label: '物流费用',
    width: '140px'
  }
]

export const head = [
  '发货工单号',
  '销售订单编号',
  '发货申请单号',
  '业务公司编号',
  '业务公司名称',
  '客户编号',
  '客户名称',
  '供应商编号',
  '供应商名称',
  '商品成本编号',
  '商品上线编号',
  '商品名称',
  '订单来源',
  '商品类型',
  '数量',
  '分单状态',
  '下单时间',
  '申请人名称',
  '物流公司',
  '物流单号',
  '物流费用'
]
