const columns = [
  { type: 'selection', fixed: 'left', _noset_: true },
  {
    prop: 'returnCode',
    label: '售后申请单',
    width: '160'
  },
  {
    prop: 'outCode',
    label: '发货单编号',
    width: '160'
  },
  {
    prop: 'orderCode',
    label: '订单编号',
    width: '160'
  },
  {
    prop: 'use_type',
    label: '平台类型',
    _slot_: 'use_type'
  },
  {
    prop: 'status',
    label: '状态',
    _slot_: 'status',
    width: '120px'
  },
  // {
  //   prop: 'order_source',
  //   label: '订单来源',
  //   _slot_: 'order_source',
  //   width: '90px'
  // },
  {
    prop: 'order_type',
    label: '商品类型',
    _slot_: 'order_type',
    width: '85'
  },
  {
    prop: 'order_source',
    label: '订单来源',
    _slot_: 'order_source',
    width: '85'
  },
  // {
  //   prop: "orderCode",
  //   label: "销售订单编号",
  //   width:"160"
  // },
  {
    prop: 'total_num',
    label: '出库总数'
  },
  {
    prop: 'good_code',
    label: '商品编码',
    width: '140'
  },
  {
    prop: 'good_name',
    label: '商品名称',
    width: '150'
  },
  {
    prop: 'customer_code',
    label: '客户公司编码',
    width: '150'
  },
  {
    prop: 'customer_name',
    label: '客户公司名称',
    width: '150'
  },
  {
    prop: 'companyNo',
    label: '业务公司编码',
    width: '150'
  },
  {
    prop: 'companyName',
    label: '业务公司名称',
    width: '150'
  },
  {
    prop: 'supplierNo',
    label: '供应商编码',
    width: '150'
  },
  {
    prop: 'supplierName',
    label: '供应商名称',
    width: '150'
  },
  // {
  //     prop:"error_num",
  //     label:"异常数量",
  // },
  // {
  //     prop:"error_msg",
  //     label:"异常原因",
  // },
  // {
  //     prop:"except_code",
  //     label:"期望意愿",
  //   _slot_: "except_code",
  //   width:100,

  // },
  {
    prop: 'company_name',
    label: '申请人部门',
    minWidth: '150px'
  },
  {
    prop: 'apply_name',
    label: '申请人'
  },
  {
    prop: 'addtime',
    label: '添加时间',
    width: 150
  },

  // {
  //   prop:"post_company",
  //   label:"快递名称",
  // },
  // {
  //   prop:"post_fee",
  //   label:"物流费",
  // },
  // {
  //   prop:"post_own",
  //   label:"费用承担方",
  //   width:"100",
  //   _slot_: "post_own",

  // },
  // {
  //   prop: 'customer_code',
  //   label: '客户编码',
  //   width: '150'
  // },
  // {
  //   prop: 'customer_name',
  //   label: '客户名称',
  //   width: '200'
  // },
  {
    prop: '',
    label: '操作',
    fixed: 'right',
    _noset_: true,
    _slot_: 'operation',
    width: 50
  }
]
const sellshowColumns = [
  {
    prop: 'returnCode',
    label: '售后申请单号',
    span: 6
  },
  {
    prop: 'outCode',
    label: '发货单编号',
    span: 6
  },
  {
    prop: 'orderCode',
    label: '销售订单编号',
    span: 6
  },
  {
    prop: 'status',
    label: '售后申请单状态',
    _slot_: 'status',
    span: 6
  },
  {
    prop: 'order_type',
    label: '订单类别',
    _slot_: 'order_type',
    span: 6
  },
  {
    prop: 'order_source',
    label: '订单来源',
    _slot_: 'order_source',
    span: 6
  },
  {
    prop: 'is_stock',
    label: '商品类型',
    _slot_: 'is_stock',
    span: 6
  },
  {
    prop: 'apply_name',
    label: '申请人',
    span: 6
  },
  {
    prop: 'is_receive',
    label: '期望结果',
    _slot_: 'is_receive',
    span: 12
  },
  {
    prop: 'companyName',
    label: '业务公司名称',
    _slot_: 'company',
    span: 12
  },
  {
    prop: 'supplierName',
    label: '供应商名称',
    _slot_: 'supplier',
    span: 12
  },
  {
    prop: 'customer_name',
    label: '客户名称',
    _slot_: 'customer',
    span: 12
  },
  {
    prop: 'addtime',
    label: '创建时间',
    span: 6
  },
  {
    prop: 'error_num',
    label: '异常数量',
    span: 6
  },
  {
    prop: 'total_num',
    label: '发货总数量',
    span: 6
  },
  {
    prop: 'error_msg',
    label: '异常原因',
    span: 6
  },
  {
    prop: 'loop_total',
    _slot_: 'loop_total',
    label: '更改次数',
    span: 12
  },
  {
    prop: 'addr',
    label: '客户退回地址',
    _slot_: 'addr',
    span: 12
  },
  {
    prop: 'error_img',
    label: '异常图片',
    _slot_: 'error_img',
    span: 12
  },
  {
    prop: 'wsm_name',
    label: '业务公司退回仓库',
    span: 12,
    _slot_: 'returnWsm'
  },
  {
    prop: 'post_fee',
    label: '退货物流费用',
    span: 6
  },
  {
    prop: 'post_company',
    label: '退货物流公司',
    span: 6
  },
  {
    prop: 'post_code',
    label: '退货物流单号',
    span: 12
  },
  {
    prop: 'error_remark',
    label: '备注',
    span: 24
  }
]
export { columns, sellshowColumns }
